﻿using System;
using GenericConstraints;
using Microsoft.VisualStudio.TestTools.UnitTesting;
namespace GenericConstraintsTests
{
    [TestClass()]
    public class OrderedListTests
    {
        [TestMethod()]
        public void AddTest()
        {
            OrderedList<String> names = new OrderedList<string>();
            names.Add("Anders");
            names.Add("Abraham");
            names.Add("John");
            Assert.AreEqual("Abraham", names.Get(0));
            Assert.AreEqual("Anders", names.Get(1));
            Assert.AreEqual("John", names.Get(2));
            
            OrderedList<Student> students = new OrderedList<Student>();

            Student student1= new Student() { Name = "Anders" };
            Student student2 = new Student() { Name = "Abraham" };
            students.Add(student1);
            
            students.Add(student2); 
            Assert.AreEqual(student2, students.Get(0));
        }
    }

    
}
